Commit 00f59085 authored by Sébastien Blin's avatar Sébastien Blin Committed by Philippe Gorley

packaging: ubuntu-18.10 docker should use --privileged

qdbusxml2cpp can't stat xml files without --privileged. Should be
related to the seccomp profile.

Change-Id: Ic7a011359abb0e726bdddafd7e672ec0be54758a
Gitlab: #529Reviwed-by: Philippe Gorley's avatarPhilippe Gorley <philippe.gorley@savoirfairelinux.com>
parent 68e6ed27
...@@ -182,18 +182,20 @@ def run_generate_all(parsed_args): ...@@ -182,18 +182,20 @@ def run_generate_all(parsed_args):
"distribution": "ubuntu_18.10", "distribution": "ubuntu_18.10",
"debian_packaging_override": "", "debian_packaging_override": "",
"output_file": "$(DEBIAN_DSC_FILENAME)", "output_file": "$(DEBIAN_DSC_FILENAME)",
"options": "--privileged",
}, },
{ {
"distribution": "ubuntu_18.10_i386", "distribution": "ubuntu_18.10_i386",
"debian_packaging_override": "", "debian_packaging_override": "",
"output_file": "$(DEBIAN_DSC_FILENAME)", "output_file": "$(DEBIAN_DSC_FILENAME)",
"options": "--privileged",
}, },
{ {
"distribution": "ubuntu_18.10_oci", "distribution": "ubuntu_18.10_oci",
"docker_image": "ubuntu_18.10", "docker_image": "ubuntu_18.10",
"debian_packaging_override": "", "debian_packaging_override": "",
"output_file": "$(DEBIAN_OCI_DSC_FILENAME)", "output_file": "$(DEBIAN_OCI_DSC_FILENAME)",
"options": "-e OVERRIDE_PACKAGING_DIR=$(DEBIAN_OCI_PKG_DIR)", "options": "-e OVERRIDE_PACKAGING_DIR=$(DEBIAN_OCI_PKG_DIR) --privileged",
"version": "$(DEBIAN_OCI_VERSION)", "version": "$(DEBIAN_OCI_VERSION)",
}, },
{ {
...@@ -201,7 +203,7 @@ def run_generate_all(parsed_args): ...@@ -201,7 +203,7 @@ def run_generate_all(parsed_args):
"docker_image": "ubuntu_18.10_i386", "docker_image": "ubuntu_18.10_i386",
"debian_packaging_override": "", "debian_packaging_override": "",
"output_file": "$(DEBIAN_OCI_DSC_FILENAME)", "output_file": "$(DEBIAN_OCI_DSC_FILENAME)",
"options": "-e OVERRIDE_PACKAGING_DIR=$(DEBIAN_OCI_PKG_DIR)", "options": "-e OVERRIDE_PACKAGING_DIR=$(DEBIAN_OCI_PKG_DIR) --privileged",
"version": "$(DEBIAN_OCI_VERSION)", "version": "$(DEBIAN_OCI_VERSION)",
}, },
# Fedora # Fedora
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment